Page MenuHomePhabricator

Undefined index in PageAssessmentsBody.php on line 85
Closed, ResolvedPublic

Description

1 Undefined index:  in /srv/mediawiki/php-1.31.0-wmf.12/extensions/PageAssessments/PageAssessmentsBody.php on line 85

Event Timeline

Reedy created this task.Dec 15 2017, 12:42 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptDec 15 2017, 12:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 399774 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/PageAssessments@master] Ensure project name is set on 2nd loop when saving

https://gerrit.wikimedia.org/r/399774

Samwilson added a subscriber: Samwilson.

I couldn't find what was causing this, but have added a fix for it — just repeats the same isset( $parserData[0] ) that is used in the previous loop through the same data. Hope that's not too slack of me. :)

kaldari closed this task as Resolved.Jan 4 2018, 1:54 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Change 399774 merged by jenkins-bot:
[mediawiki/extensions/PageAssessments@master] Ensure project name is set on 2nd loop when saving

https://gerrit.wikimedia.org/r/399774

TBolliger moved this task from Untriaged to Archive on the Community-Tech board.Jan 31 2018, 12:44 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:09 PM